Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.schema.binding
Class SerializationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.xml.schema.binding.SerializationException

public class SerializationException
extends weblogic.utils.NestedException

A `SerializationException` is thrown if an error occurs during serializtion.

See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`SerializationException()` Constructs a `SerializationException` with no specified detail message.
`SerializationException(java.lang.String s)` Constructs a `SerializationException` with the specified detail message.
`SerializationException(java.lang.String s, java.lang.Throwable t)` Constructs a `SerializationException` with the specified detail message and the nested error respresented by t.
`SerializationException(java.lang.Throwable t)` Constructs a `SerializationException` with the nested error respresented by t.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializationException

    public SerializationException()

  Constructs a `SerializationException` with no specified detail message.

### SerializationException

    public SerializationException(java.lang.String s)

  Constructs a `SerializationException` with the specified detail message.

  Parameters:
    `s` - the detail message

### SerializationException

    public SerializationException(java.lang.String s,
                                  java.lang.Throwable t)

  Constructs a `SerializationException` with the specified detail message and the nested error respresented by t.

  Parameters:
    `s` - the detail message
    `t` - the nested error

### SerializationException

    public SerializationException(java.lang.Throwable t)

  Constructs a `SerializationException` with the nested error respresented by t.

  Parameters:
    `s` - the detail message
    `t` - the nested error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference